Jump to content
Jessica28

creating layout views

Recommended Posts

Hi,

I am running AutoCAD MEP 2016...I am wondering if there is a way to make a viewport from model space that automatically appears in paperspace...Does that make sense?.....Basically I am working on floor plans and need to make individual sheets for every single room..

 

 

Thanks, Jess

Share this post


Link to post
Share on other sites

Since you are using AutoCAD MEP, which has the Project Navigator, I would suggest looking into leveraging the power of Constructs, Views and Sheets... specifically the Views part which is what your inquiry is about:

 

Autodesk Help:

https://knowledge.autodesk.com/support/autocad-architecture/learn-explore/caas/CloudHelp/cloudhelp/2017/ENU/AutoCAD-Architecture/files/GUID-8B5A731E-3CDE-4258-9644-14081DE74A77-htm.html

 

This has added benefits of syncing your views with the Project Navigator and in return it displays information correctly such as View Name, Scale, etc. Takes a bit getting used to but once you do it'll become an asset you can't live without.

 

-TZ

Share this post


Link to post
Share on other sites

Thanks for the info tzframpton.... I can see how the project navigator can be of use...Is there something quick and easy though...I'll get a floor plan and will be asked for a quick layout and cutouts for specific areas...It would be nice to just be able to create rectangles and polylines and have a command that turns them into sheets automatically...I've attached an image of a basic office layout in 2D which is what we work with mostly for this task...Right now what I have been doing is making all these rectangles and plines in layout on top of the overall viewport of the floor plan..Then copy it several times and do a VPclip for every one....Makes me crazy!! Lol....Could the project navigator really help for this?..

 

 

maratovich..Thanks for the link. I clicked around that link and ran into a youtube video that looked like it created the viewport....Watching it on my phone though because I'm at work and company computers cant access youtube...Where would I get something like that to try out?

 

 

Jess

example.PNG

Share this post


Link to post
Share on other sites

The option I gave you will not be the quick option. It's more for your larger projects that require a higher level of organization and tracking.

 

-TZ

Share this post


Link to post
Share on other sites

Yea, it seemed like the project browser would be a little time consuming for what we do..I will get a drawing and within 2 days draw something up and make the cutouts for the buys building....It would be nice if I could find a way to speed up the cut outs we need to make. I feel like it takes me more time to do that then to do the actual detailing of the rooms.

 

 

Jess

Share this post


Link to post
Share on other sites

A simple manual way

 

In model space use ID pick a point about middle of view reuquired I cut paste to notepad (I have it on my windows taskbar) and paste then make it x,y copy again

Make/copy layout with your title block have a mview created etc go to mspace Z E or zoom rough floor area required

Then just Z C paste x,y 4xp

 

The 4xp for me would centre the window at the point x,y at a scale of 1:250 as I am metric but the same can be done for feet.

 

Yes you can put together a lisp that uses the same method. I have something but its part of a copyrighted package but will think about rewriting a generic one as so many recent posts ask for this but seem to produce a extremely complex solution rather than a quick and dirty solution. The one I have asks for the 5 views of an object top, front etc used for 3d house plans.

Share this post


Link to post
Share on other sites

This is quick and dirty and still needs a little bit of manual work at end drag mview, but will do 95% of whats required, based around having a known title block in a layout.

 

; By Alan H Nov 2016 based on a metric answer.
(DEFUN C:MVWIN ( / MP1 MP2 AND DIST PT SC3)
(setvar "tilemode" 1)
(setq mp1 (getpoint "\nLower left corner of window:"))
(setq mp2 (getcorner mp1 "\nUpper right corner of window:"))
(setq ang (angle mp1 mp2))
(setq dist (distance mp1 mp2))

(setq pt (polar mp1 ang (/ dist 2.0)))

(setvar "tilemode" 0)
(command "_.pspace")
(command "_.ZOOM" "ALL")

(initget 6 "Yes No")
(setq ans (getkword "\nDoes mview exist? (Y/N)"))
(if (/=  ans "Yes" )
(princ)
(progn
(setq mp1 (getpoint "\nLower left corner of window:"))
(setq mp2 (getcorner mp1 "\nUpper right corner of window:"))
(command "_.mview" mp1 mp2)
)
)

(command "_.mspace")
(setq sc3 (strcat (RTOS (/ 1000.0 (getreal "\nScale for this window 1:  "))2 3 ) "XP"))

(command "_.zoom" "_center" (strcat (rtos (nth 0 pt) 2 3) "," (rtos (nth 1 pt) 2 3)) sc3)
)
(C:MVWIN)

Share this post


Link to post
Share on other sites
Yea, it seemed like the project browser would be a little time consuming for what we do..I will get a drawing and within 2 days draw something up and make the cutouts for the buys building....It would be nice if I could find a way to speed up the cut outs we need to make. I feel like it takes me more time to do that then to do the actual detailing of the rooms.

 

 

Jess

To be fair, you did post in the AutoCAD MEP section of the forum, which usually implies inquiries related specific to the added features of an Autodesk vertical product.

 

:)

 

-TZ

Share this post


Link to post
Share on other sites

thanks BIGAL. I tried that. I was hoping for something a little more automated....Too much wishful thinking I guess. : )

 

 

tzframpton. The next time I have a question like this where should I post it? I started coming here more because someone mentioned I should because I'm running MEP. But I see your point. My question really isn't MEP related.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×